import request from '@/utils/request'

// 创建oracle资源库管理
export function createOracleResource(data) {
  return request({
    url: '/manager/oracle-resource/create',
    method: 'post',
    data: data
  })
}

// 更新oracle资源库管理
export function updateOracleResource(data) {
  return request({
    url: '/manager/oracle-resource/update',
    method: 'put',
    data: data
  })
}

// 删除oracle资源库管理
export function deleteOracleResource(id) {
  return request({
    url: '/manager/oracle-resource/delete?id=' + id,
    method: 'delete'
  })
}

// 获得oracle资源库管理
export function getOracleResource(id) {
  return request({
    url: '/manager/oracle-resource/get?id=' + id,
    method: 'get'
  })
}

// 获得oracle资源库管理分页
export function getOracleResourcePage(params) {
  return request({
    url: '/manager/oracle-resource/page',
    method: 'get',
    params
  })
}
// 导出oracle资源库管理 Excel
export function exportOracleResourceExcel(params) {
  return request({
    url: '/manager/oracle-resource/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
